Ayuda

¡Bienvenido!

Esta comunidad es para profesionales y principiantes en nuestros productos y servicios.
Comparte y discute el mejor contenido y nuevas ideas, aporta a la comunidad y absuelve las dudas de Otros usuarios.

0

Cuando trato de sacar el informe de Reporte de Impuestos

Avatar
Lorenzo Jose

Me sale el siguiente error:

Traceback (most recent call last):
  File "C:\Program Files\Odoo-15-20220604\server\odoo\api.py", line 886, in get
    return field_cache[record._ids[0]]
KeyError: 526
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Program Files\Odoo-15-20220604\server\odoo\fields.py", line 1057, in __get__
    value = env.cache.get(record, self)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\api.py", line 889, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'ir.actions.act_window(526,).search_view'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "C:\Program Files\Odoo-15-20220604\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "C:\Program Files\Odoo-15-20220604\server\odoo\http.py", line 687, in dispatch
    result = self._call_function(**self.params)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\service\model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\http.py", line 348, in checked_call
    result = self.endpoint(*a, **kw)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\http.py", line 916, in __call__
    return self.method(*args, **kw)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\http.py", line 535, in response_wrap
    response = f(*args, **kw)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\addons\web\controllers\main.py", line 1623, in load
    action = request.env[action_type].sudo().browse([action_id]).read()
  File "C:\Program Files\Odoo-15-20220604\server\odoo\addons\base\models\ir_actions.py", line 255, in read
    result = super(IrActionsActWindow, self).read(fields, load=load)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\models.py", line 3227, in read
    return self._read_format(fnames=fields, load=load)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\models.py", line 3247, in _read_format
    vals[name] = convert(record[name], record, use_name_get)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\models.py", line 5888, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "C:\Program Files\Odoo-15-20220604\server\odoo\fields.py", line 1106, in __get__
    self.compute_value(recs)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\fields.py", line 1265, in compute_value
    records._compute_field_value(self)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\models.py", line 4255, in _compute_field_value
    getattr(self, field.compute)()
  File "C:\Program Files\Odoo-15-20220604\server\odoo\addons\base\models\ir_actions.py", line 222, in _compute_search_view
    fvg = self.env[act.res_model].fields_view_get(act.search_view_id.id, 'search')
  File "C:\Program Files\Odoo-15-20220604\server\odoo\api.py", line 540, in __getitem__
    return self.registry[model_name]._browse(self, (), ())
  File "C:\Program Files\Odoo-15-20220604\server\odoo\modules\registry.py", line 182, in __getitem__
    return self.models[model_name]
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "C:\Program Files\Odoo-15-20220604\server\odoo\http.py", line 643, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\Program Files\Odoo-15-20220604\server\odoo\http.py", line 301, in _handle_exception
    raise exception.with_traceback(None) from new_cause
KeyError: 'account.tax.report.wizard'

¿Cómo puedo corregirlo?

Avatar
Descartar